Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 592297 - [RHEL6 beta1] anaconda doesn't show multipath devices
Summary: [RHEL6 beta1] anaconda doesn't show multipath devices
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Peter Jones
QA Contact: Martin Banas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-14 13:50 UTC by Jeff Bastian
Modified: 2018-10-27 12:05 UTC (History)
6 users (show)

Fixed In Version: anaconda-13.21.51-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 19:43:27 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot of basic devices (82.22 KB, image/png)
2010-05-14 13:54 UTC, Jeff Bastian
no flags Details
screenshot of multipath devices (63.96 KB, image/png)
2010-05-14 13:55 UTC, Jeff Bastian
no flags Details
screenshot of device search (74.51 KB, image/png)
2010-05-14 13:55 UTC, Jeff Bastian
no flags Details
multipath -v3 output from tty2 during install (4.36 KB, text/plain)
2010-05-14 14:00 UTC, Jeff Bastian
no flags Details

Description Jeff Bastian 2010-05-14 13:50:50 UTC
Description of problem:
anaconda doesn't show multipath volumes

Version-Release number of selected component:
RHEL6 Beta1

How reproducible:
Always

Steps to Reproduce:
1. Start installer with "mpath" boot option
2. Choose "Specialized Storage Devices"
3. Click "Multipath Devices" tab in device selection

Actual results:
No devices appear in the window

Example of the actual results :
See the attached images.
While the multipath LUNs are listed up for each path (the 1st image),
they doesn't appear in the "Multipath Devices" tab (the 2nd image).
It seems the installer couldn't find their WWID (the 3rd image).
I tried choosing "Specialized Storage Devices" and/or
adding "mpath" boot option but neither did work.

Expected results:
Multipath devices appear in "Multipath Devices" window.

Additional info:
On the same test machine, the multipath devices are correctly recognized
by both installers of RHEL5 and RHEL6 Alpha3.

Attached sosreport was taken on RHEL6 Beta1 installation with
/etc/multipath.conf manually added/configured afterwards.

Comment 1 Jeff Bastian 2010-05-14 13:54:45 UTC
Created attachment 414052 [details]
screenshot of basic devices

Comment 2 Jeff Bastian 2010-05-14 13:55:14 UTC
Created attachment 414053 [details]
screenshot of multipath devices

Comment 3 Jeff Bastian 2010-05-14 13:55:53 UTC
Created attachment 414054 [details]
screenshot of device search

Comment 5 Jeff Bastian 2010-05-14 14:00:37 UTC
Created attachment 414059 [details]
multipath -v3 output from tty2 during install

Comment 7 Chris Lumens 2010-05-14 14:59:01 UTC
Multipath has had a rough time of it lately.  Before we go too far down the path of debugging this, can you please try a tree with anaconda-13.21.40-1?  pjones just committed a set of multipath fixes yesterday for that build, and those have been tested with at least one multipath setup and shown to fix problems.

Comment 12 wayde 2010-05-24 05:25:50 UTC
How to add the boot option "multipath", could you give me a detail step?
Thank you!

Comment 19 Chris Lumens 2010-06-07 17:19:47 UTC
Jeff - could you attach the udevadm output I was looking for in comment #18?  That'll help us determine whether this is an anaconda bug or a udev bug.  Thanks.

Comment 27 Martin Banas 2010-08-22 08:00:06 UTC
I'm closing this bug as VERIFIED based on comment 26.

Comment 28 releng-rhel@redhat.com 2010-11-10 19:43:27 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.